<?php
/*
 * hi_Shutter_Reloaded for CMSimple - main module
 *
 * A simple plugin to include Shutter Reloaded (http://www.laptoptips.ca/javascripts/shutter-reloaded/)
 * to a CMSimple website
 *
 * @author Holger Irmler
 * @link http://CMSimple.HolgerIrmler.de
 * @build 2011071101
 * @version 1.0
 * @date: 2011-07-11
 * @package hi_shutter_reloaded
 */
 
	if (preg_match('/hi_shutter_reloaded'.DIRECTORY_SEPARATOR.'index.php/i', sv('PHP_SELF'))) die('Access denied');


	function hi_shutter($mode){
		global $pth, $plugin_cf, $plugin_tx, $edit, $hjs;
		$shjs = '';
		$imageCount = 0;
		$textBtns = 'false';
		
		//xh_debugmode compatibility
		ini_set('display_errors', 0);
		error_reporting(0);
		if(function_exists('xh_debugmode')){
			xh_debugmode();
		}
		
		//check $mode
		if (!isset ($mode)) $mode = $plugin_cf['hi_shutter_reloaded']['mode'];
		switch ($mode) {
			case 'sh':
				$mode = "'sh'";
				break;
			case 'lb':
				$mode = "'lb'";
				break;
			default:
				$mode = "";
		}
		
		if ($plugin_cf['hi_shutter_reloaded']['count_images'] == "1") $imageCount = 1;
		if ($plugin_cf['hi_shutter_reloaded']['mnu_textbuttons'] == "1") $textBtns = 'true';
		
		//Write CSS to head section
		$hjs .= "\n".tag('link rel="stylesheet" type="text/css" media="screen" href="'.$pth['folder']['base'].'plugins/hi_shutter_reloaded/libs/shutter.css"');
		$hjs .= "\n";
		//prepare js code 
		$shjs =
		'<script type="text/javascript">
			//<![CDATA[
			shutterSettings = {
				imgDir : "'.$pth['folder']['plugins'].'hi_shutter_reloaded/libs/images/",
				imageCount : '.$imageCount.',
				textBtns : '.$textBtns.',
				L10n : [
					"'.$plugin_tx['hi_shutter_reloaded']['menu_prev'].'",
					"'.$plugin_tx['hi_shutter_reloaded']['menu_next'].'",
					"'.$plugin_tx['hi_shutter_reloaded']['menu_close'].'",
					"'.$plugin_tx['hi_shutter_reloaded']['menu_full'].'",
					"'.$plugin_tx['hi_shutter_reloaded']['menu_fit'].'",
					"'.$plugin_tx['hi_shutter_reloaded']['menu_image'].'",
					"'.$plugin_tx['hi_shutter_reloaded']['menu_of'].'",
					"'.$plugin_tx['hi_shutter_reloaded']['menu_loading'].'"
				]
			}
			//]]>
		</script>
		<script src="'.$pth['folder']['plugins'].'hi_shutter_reloaded/libs/shutter2.js" type="text/javascript"></script>
		<script type="text/javascript">
			try{shutterReloaded.init('.$mode.');}catch(e){}
		</script>';
		
		if (!$edit && !defined('HI_SHUTTER')) {
			define('HI_SHUTTER', true);
			return $shjs;
		}
		
	}
	
	if($plugin_cf['hi_shutter_reloaded']['autoinclude'] == '1'){
		if(!$su) {
			$c[0] .= hi_shutter($plugin_cf['hi_shutter_reloaded']['mode']);
		} else {
			$c[$s] .= hi_shutter($plugin_cf['hi_shutter_reloaded']['mode']);
		}
	}
?>